## org.apache.poi.hssf.usermodel.contrib
Class HSSFCellUtil

    java.lang.Object
      org.apache.poi.hssf.usermodel.contrib.HSSFCellUtil

public class HSSFCellUtil
extends java.lang.Object

Various utility functions that make working with a cells and rows easier. The various methods that deal with style's allow you to create your HSSFCellStyles as you need them. When you apply a style change to a cell, the code will attempt to see if a style already exists that meets your needs. If not, then it will create a new style. This is to prevent creating too many styles. there is an upper limit in Excel on the number of styles that can be supported.

Author:
  Eric Pugh epugh@upstate.com

Constructor Summary
`HSSFCellUtil()`

Method Summary
`static HSSFCell` `createCell(HSSFRow row, int column, java.lang.String value)` Create a cell, and give it a value.
`static HSSFCell` `createCell(HSSFRow row, int column, java.lang.String value, HSSFCellStyle style)` Creates a cell, gives it a value, and applies a style if provided
`static HSSFCell` `getCell(HSSFRow row, int column)` Get a specific cell from a row.
`static HSSFRow` `getRow(int rowCounter, HSSFSheet sheet)` Get a row from the spreadsheet, and create it if it doesn't exist.
`static void` `setAlignment(HSSFCell cell, HSSFWorkbook workbook, short align)` Take a cell, and align it.
`static void` `setCellStyleProperty(HSSFCell cell, HSSFWorkbook workbook, java.lang.String propertyName, java.lang.Object propertyValue)` This method attempt to find an already existing HSSFCellStyle that matches what you want the style to be.
`static void` `setFont(HSSFCell cell, HSSFWorkbook workbook, HSSFFont font)` Take a cell, and apply a font to it
`static HSSFCell` `translateUnicodeValues(HSSFCell cell)` Looks for text in the cell that should be unicode, like α and provides the unicode version of it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFCellUtil

    public HSSFCellUtil()

Method Detail

### getRow

    public static HSSFRow getRow(int rowCounter,
                                 HSSFSheet sheet)

  Get a row from the spreadsheet, and create it if it doesn't exist.

  Parameters:
    `rowCounter` - The 0 based row number
    `sheet` - The sheet that the row is part of.
  Returns:
    The row indicated by the rowCounter

### getCell

    public static HSSFCell getCell(HSSFRow row,
                                   int column)

  Get a specific cell from a row. If the cell doesn't exist, then create it.

  Parameters:
    `row` - The row that the cell is part of
    `column` - The column index that the cell is in.
  Returns:
    The cell indicated by the column.

### createCell

    public static HSSFCell createCell(HSSFRow row,
                                      int column,
                                      java.lang.String value,
                                      HSSFCellStyle style)

  Creates a cell, gives it a value, and applies a style if provided

  Parameters:
    `row` - the row to create the cell in
    `column` - the column index to create the cell in
    `value` - The value of the cell
    `style` - If the style is not null, then set
  Returns:
    A new HSSFCell

### createCell

    public static HSSFCell createCell(HSSFRow row,
                                      int column,
                                      java.lang.String value)

  Create a cell, and give it a value.

  Parameters:
    `row` - the row to create the cell in
    `column` - the column index to create the cell in
    `value` - The value of the cell
  Returns:
    A new HSSFCell.

### setAlignment

    public static void setAlignment(HSSFCell cell,
                                    HSSFWorkbook workbook,
                                    short align)
                             throws org.apache.commons.lang.exception.NestableException

  Take a cell, and align it.

  Parameters:
    `cell` - the cell to set the alignment for
    `workbook` - The workbook that is being worked with.
    `align` - the column alignment to use.
  Throws:
    `org.apache.commons.lang.exception.NestableException` - Thrown if an error happens.
  See Also:
    `for alignment options`

### setFont

    public static void setFont(HSSFCell cell,
                               HSSFWorkbook workbook,
                               HSSFFont font)
                        throws org.apache.commons.lang.exception.NestableException

  Take a cell, and apply a font to it

  Parameters:
    `cell` - the cell to set the alignment for
    `workbook` - The workbook that is being worked with.
    `font` - The HSSFFont that you want to set...
  Throws:
    `org.apache.commons.lang.exception.NestableException` - Thrown if an error happens.

### setCellStyleProperty

    public static void setCellStyleProperty(HSSFCell cell,
                                            HSSFWorkbook workbook,
                                            java.lang.String propertyName,
                                            java.lang.Object propertyValue)
                                     throws org.apache.commons.lang.exception.NestableException

  This method attempt to find an already existing HSSFCellStyle that matches what you want the style to be. If it does not find the style, then it creates a new one. If it does create a new one, then it applyies the propertyName and propertyValue to the style. This is nessasary because Excel has an upper limit on the number of Styles that it supports.

  Parameters:
    `workbook` - The workbook that is being worked with.
    `propertyName` - The name of the property that is to be changed.
    `propertyValue` - The value of the property that is to be changed.
    `cell` - The cell that needs it's style changes
  Throws:
    `org.apache.commons.lang.exception.NestableException` - Thrown if an error happens.

### translateUnicodeValues

    public static HSSFCell translateUnicodeValues(HSSFCell cell)

  Looks for text in the cell that should be unicode, like α and provides the unicode version of it.

  Parameters:
    `cell` - The cell to check for unicode values
  Returns:
    transalted to unicode

Copyright © 2003 Apache Software Foundation.